Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## samples.javaclient.analyzer
Class NewOrOpenWizard

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Dialog
                      javax.swing.JDialog
                          oracle.bali.ewt.wizard.WizardDialog
                              samples.javaclient.analyzer.NewOrOpenWizard

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.event.ActionListener, java.util.EventListener, java.awt.image.ImageObserver, java.awt.MenuContainer, javax.swing.RootPaneContainer, java.io.Serializable, javax.swing.WindowConstants

public class NewOrOpenWizard
extends oracle.bali.ewt.wizard.WizardDialog
implements java.awt.event.ActionListener

Wizard page that asks the user whether they want to open an existing worksheet or to create a new one. It is based on the Bali component WizardDialog. The BI Beans QueryBuilder also uses this component.

See Also:
  Serialized Form

Nested Class Summary
`class` | `NewOrOpenWizard.StartingPage` This inner class creates the starting page for the wizard.

Nested classes inherited from class oracle.bali.ewt.wizard.WizardDialog
``

Nested classes inherited from class javax.swing.JDialog
`javax.swing.JDialog.AccessibleJDialog`

Nested classes inherited from class java.awt.Dialog
`java.awt.Dialog.AccessibleAWTDialog`

Nested classes inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Nested classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`private static java.lang.String` | `CREATE_WORKSHEET` Text for creating choice: "Create a new worksheet".
`private static java.lang.String` | `DESCRIPTION` Instructional text for this dialog: "This wizard helps you open an existing worksheet or create a new one so that you can quickly retrieve information from the database."
`private java.lang.String` | `m_selectedAction` Action that the user selected.
`static java.lang.String` | `NEW` Selected action: "NEW".
`static java.lang.String` | `OPEN` Selected action: "OPEN".
`private static java.lang.String` | `OPEN_WORKSHEET` Text for opening choice: "Open an existing worksheet."
`private static java.lang.String` | `TITLE` Title for this dialog: "Create/Open Worksheet".
`private static java.lang.String` | `WHAT_TO_DO` Default text for choice: "Create a new worksheet".

Fields inherited from class oracle.bali.ewt.wizard.WizardDialog
``

Fields inherited from class javax.swing.JDialog
`accessibleContext, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Dialog
``

Fields inherited from class java.awt.Window
``

Fields inherited from class java.awt.Container
``

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`NewOrOpenWizard()` Sets up the Wizard dialog

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)` Responds to user clicks.
`java.lang.String` | `getSelectedAction()` Gets the action that the user selected.

Methods inherited from class oracle.bali.ewt.wizard.WizardDialog
`dismissDialog, dispose, getCenterOver, getLocale, getPreferredSize, getWelcomeWizardPage, getWizard, getWizardTitle, isCancelled, isFinishPageIncluded, isWelcomePageIncluded, processComponentEvent, processWindowEvent, runDialog, setCenterOver, setFinishPageIncluded, setLocale, setWelcomePageIncluded, setWelcomeWizardPage, setWizard, setWizardTitle`

Methods inherited from class javax.swing.JDialog
`addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, remove, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Dialog
`addNotify, getTitle, hide, isModal, isResizable, isUndecorated, setModal, setResizable, setTitle, setUndecorated, show`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, finalize, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getInputContext, getListeners, getMostRecentFocusOwner, getOwnedWindows, getOwner, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindowStateListeners, isActive, isFocusableWindow, isFocusCycleRoot, isFocused, isShowing, pack, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, setCursor, setFocusableWindowState, setFocusCycleRoot, setLocationRelativeTo, toBack, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, removeNotify, setFocusTraversalKeys, setFocusTraversalPolicy, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### m_selectedAction

    private java.lang.String m_selectedAction

  Action that the user selected. Default is "NEW".

### NEW

    public static final java.lang.String NEW

  Selected action: "NEW".

  See Also:
    Constant Field Values

### OPEN

    public static final java.lang.String OPEN

  Selected action: "OPEN".

  See Also:
    Constant Field Values

### TITLE

    private static final java.lang.String TITLE

  Title for this dialog: "Create/Open Worksheet".

  See Also:
    Constant Field Values

### DESCRIPTION

    private static final java.lang.String DESCRIPTION

  Instructional text for this dialog: "This wizard helps you open an existing worksheet or create a new one so that you can quickly retrieve information from the database."

  See Also:
    Constant Field Values

### WHAT_TO_DO

    private static final java.lang.String WHAT_TO_DO

  Default text for choice: "Create a new worksheet".

  See Also:
    Constant Field Values

### OPEN_WORKSHEET

    private static final java.lang.String OPEN_WORKSHEET

  Text for opening choice: "Open an existing worksheet."

  See Also:
    Constant Field Values

### CREATE_WORKSHEET

    private static final java.lang.String CREATE_WORKSHEET

  Text for creating choice: "Create a new worksheet".

  See Also:
    Constant Field Values

Constructor Detail

### NewOrOpenWizard

    public NewOrOpenWizard()

  Sets up the Wizard dialog

Method Detail

### getSelectedAction

    public java.lang.String getSelectedAction()

  Gets the action that the user selected.

  Returns:
    A constant that indicates the user's choice: if the user wants to create a new worksheet, or `OPEN` if the user wants to open a worksheet.

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Responds to user clicks. This method tracks the action that the user selected.

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`
  Parameters:
    `e` - Information about the user selection.

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD